#ifndef _CONST_HPP_
#define _CONST_HPP_

#if !defined(__OS2__) && defined(__EMX__)
#define __OS2__
#endif

#ifdef __NT__
#define OsType         "/W32"
#define PATHDELIMS     "\\"
#define PATHDELIMC     '\\'
#elif defined(__OS2__)
#define OsType         "/OS2"
#define PATHDELIMS     "\\"
#define PATHDELIMC     '\\'
#elif defined(__DJGPP__)
#define OsType         "/386"
#define PATHDELIMS     "\\"
#define PATHDELIMC     '\\'
#elif defined(UNIX)
#   ifdef __LINUX__
#      define OsType      "/LNX"
#   else
#      ifdef __QNX__
#         define OsType   "/QNX4"
#      else
#         define OsType      "/Unix"
#      endif
#   endif
#define PATHDELIMS     "/"
#define PATHDELIMC     '/'
#endif
#define FVersion       "3.00.a3"OsType
#define RevisionHI     3
#define RevisionLO     0
#define FTrackProductLo 0xff
#define FTrackProductHi 0x0c
#define Copyright      "(C) 1998-2000 Fyodor Ustinov (2:5020/79)"
#define DefaultConfig  "ftrack.cfg"

#ifdef UNIX
#define MsgExtension   ".msg"
#define PktExtension   ".pkt"
#define BsyExtension   ".bsy"
#define PntExtension   ".pnt"
#else
#define MsgExtension   ".MSG"
#define PktExtension   ".PKT"
#define BsyExtension   ".BSY"
#define PntExtension   ".PNT"
#endif

#define MAXCFGLINE     1024
#define DELIMETERS     " \t"
#define STRDELIMETERS  "\t\""
#define MAXPOINTS      1024

#define LOGE           100
#define LOGW           101
#define LOGI           102
#define LOGD           105

#endif

