#ifndef _UTILS_HPP_
#define _UTILS_HPP_
#include <stdlib.h>
#include <stdio.h>

#ifdef UNIX
#include <unistd.h>
#endif

#include "compiler.h"

void CheckMem(char *ptr);
int StrIsNum(char *Str);
int StrIsXNum(char *Str);
int DirExists(char *ptr);
int FileCopy(char *Dst, char *Src);
int FileMove(char *Dst, char *Src);
FILE *fcopen(char *Name, char *Mode);
int ExecP(char *Name);

#ifdef UNIX
   #ifndef __QNX__
      unsigned int filelength(int fh);
   #endif
#endif

int tzoffset(void);
char *GetFilePath(char *Path, char *Name);
char *GetFileName(char *FName, char *Name);
void nls_strupr(char *s);
#ifdef __NT__
const char *dirslashbug(const char *dirname);
#else
inline const char *dirslashbug(const char *dirname) { return dirname; }
#endif
#ifndef UNIX
char *casefs(char *name);
#else
inline char *casefs(char *name) { return name; }
#endif
#endif

