#ifndef _CFG_HPP_
#define _CFG_HPP_
#include "fidoaddr.h"

typedef struct {
   char *Token;
   int  (*Func)();
} CfgTok;

int ParseConfig(char *CfgFile);
char *GetStr(void);
char *GetOneWord(char *Delim);
int GetInt(void);
int GetLong(void);
FA &GetFA(void);
void CfgError(char *msg);

int GetMInt(void);
// get next word as integer (0 - 65535), Asterisk - (-1) or bad (-2)
// ! - add 0x080000000

#endif

