#ifndef _SQBASE_HPP_
#define _SQBASE_HPP_

#include <time.h>
#include "a_list.hpp"
#include "utils.hpp"
#include "fidoaddr.h"
#include "msg.hpp"
#include "msgbase.hpp"
#include "msgapi.h"
#include "ufmtypes.h"


class SQUISH: public MSGBASE {
   HAREA Area;
   char *DirName;
   unsigned int MsgNum;
   unsigned int tMsgNum;
   unsigned int MaxNum;
   int PrevIsDel;
   char bType;
// private:
public:
   int WriteOneMsg(unsigned int Num, cMSG &m);   
   SQUISH();
   SQUISH(char _bType);
   ~SQUISH();
   void Print(void);
   int  Set(char *c, int BaseType);
   void Clear(void);
   int  Next(void);
   int  Rewind(void); 
   int  DeleteMsg(void);
   int  ReadMsg(cMSG &m);
   int  WriteMsg(cMSG &m);
   int  WriteNewMsg(cMSG &m);
   char *ReadToMem(void);
   int  WriteFromMem(char *Buff);
   char *MessageName(void);
   char *BaseName(void) { return DirName; };
   int  Renumber(void);
   int  CheckOut(void) { return TRUE; };
   int  CheckIn(void) { return TRUE; };
   int  Open(void);
   int  Close(void);
};

#endif

